<?php

namespace Database\Seeders;

use Faker\Factory as Faker;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

use App\Models\ScheduleStudentRel;
use App\Models\User;
use App\Models\Role;
use App\Models\Schedule;
use App\Models\Student;
use App\Models\Notice;

class NoticeStudentRelSeeder extends Seeder
{
  /**
   * Run the database seeds.
   */
  public function run(): void
  {
    $student_1 = Student::find(1);
    $student_2 = Student::find(2);
    $student_3 = Student::find(3);

    $notice_1 = Notice::find(1);
    $notice_2 = Notice::find(2);
    $notice_3 = Notice::find(3);

    // NOTE: notice with student, default unread
    $student_1->noticesRead()->attach($notice_3);
  }
}
